#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;

uniform sampler2D u_sampler;

uniform vec4 u_color_shift;
uniform vec4 u_color_scale;

void main () {

	vec4 base = texture2D(u_sampler, v_uv);
	
	gl_FragColor = base * u_color_scale + u_color_shift;
	
}
