uniform mat4 u_proj;
uniform mat4 u_modelview;

attribute vec4 a_pos;
attribute vec4 a_color;

varying vec4 v_color;


void main() {

	gl_Position = u_proj * u_modelview * a_pos;
	
    v_color = a_color; 
	
}
