#ifdef GL_ES
	precision mediump float;
#endif

uniform mat4 u_proj;

uniform vec4 u_pos_modif;

attribute vec4 a_pos;
attribute vec2 a_uv;

varying vec2 v_uv;

void main() {
  
  gl_Position = ( a_pos + vec4(u_pos_modif.x, u_pos_modif.y, 0.0, 0.0) );
  
  gl_Position = u_proj * gl_Position;
  
  gl_Position = gl_Position  * vec4( u_pos_modif.z, u_pos_modif.z, 1.0, 1.0 ); /* scale */
  
  v_uv = a_uv;
}
